aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorEivind Uggedal <eivind@uggedal.com>2015-09-17 06:49:22 +0000
committerEivind Uggedal <eivind@uggedal.com>2015-09-17 08:30:05 +0000
commitf7cd3839f8493437902d02659be12b489052bcc5 (patch)
treeef6f38cbe49a9819fd8147775914d0d53869cd30
parentff4876c647f0a37c4c9c97250fb32fc79c1e4d8f (diff)
downloadaports-f7cd3839f8493437902d02659be12b489052bcc5.tar.gz
aports-f7cd3839f8493437902d02659be12b489052bcc5.tar.bz2
aports-f7cd3839f8493437902d02659be12b489052bcc5.tar.xz
main/font-micro-misc: upgrade to 1.0.3
-rw-r--r--main/font-micro-misc/APKBUILD23
1 files changed, 19 insertions, 4 deletions
diff --git a/main/font-micro-misc/APKBUILD b/main/font-micro-misc/APKBUILD
index d414ba9ce6..0f4933f185 100644
--- a/main/font-micro-misc/APKBUILD
+++ b/main/font-micro-misc/APKBUILD
@@ -1,7 +1,7 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=font-micro-misc
-pkgver=1.0.0
-pkgrel=3
+pkgver=1.0.3
+pkgrel=0
pkgdesc="X.org misc font"
url="http://xorg.freedesktop.org/"
arch="all"
@@ -11,6 +11,11 @@ makedepends="font-util-dev bdftopcf"
install=
source="http://xorg.freedesktop.org/releases/individual/font/$pkgname-$pkgver.tar.bz2"
+prepare() {
+ cd "$srcdir"/$pkgname-$pkgver
+ update_config_sub || return 1
+}
+
build() {
cd "$srcdir"/$pkgname-$pkgver
./configure \
@@ -21,7 +26,17 @@ build() {
--with-fontdir=/usr/share/fonts/misc \
|| return 1
make || return 1
- make -j1 DESTDIR="$pkgdir" MKFONTDIR=: MKFONTSCALE=: install || return 1
}
-md5sums="8c8bffd7540f05caa0dbb4e6e1d6c58e font-micro-misc-1.0.0.tar.bz2"
+package() {
+ cd "$srcdir"/$pkgname-$pkgver
+ make -j1 DESTDIR="$pkgdir" \
+ MKFONTDIR=: \
+ MKFONTSCALE=: \
+ FCCACHE=: \
+ install || return 1
+}
+
+md5sums="143c228286fe9c920ab60e47c1b60b67 font-micro-misc-1.0.3.tar.bz2"
+sha256sums="9a3381c10f32d9511f0ad4179df395914c50779103c16cddf7017f5220ed8db6 font-micro-misc-1.0.3.tar.bz2"
+sha512sums="7a546432225c22ae0aacf9ce88b617a7d1d6678ee1f5eb4b3a93e33764fb752f27bca3feda1312182517bbf7babd5f3700bb9b8de0ef6c35b1ae6e2ce7ab0b69 font-micro-misc-1.0.3.tar.bz2"